Bug 60805 - Enable -Wnewline-eof on ANGLE
Summary: Enable -Wnewline-eof on ANGLE
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: David Kilzer (:ddkilzer)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-13 14:34 PDT by David Kilzer (:ddkilzer)
Modified: 2011-05-24 08:12 PDT (History)
1 user (show)

See Also:


Attachments
Patch v1 (1.28 KB, patch)
2011-05-13 14:38 PDT, David Kilzer (:ddkilzer)
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Patch v2 (1.36 KB, patch)
2011-05-23 17:00 PDT, David Kilzer (:ddkilzer)
aroben: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2011-05-13 14:34:32 PDT
ANGLE should compile with -Wnewline-eof just like all the other projects.

Blocked on upstream:  <http://code.google.com/p/angleproject/issues/detail?id=154>
Comment 1 David Kilzer (:ddkilzer) 2011-05-13 14:38:36 PDT
Created attachment 93514 [details]
Patch v1
Comment 2 WebKit Review Bot 2011-05-13 15:16:20 PDT
Comment on attachment 93514 [details]
Patch v1

Attachment 93514 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/8698193
Comment 3 David Kilzer (:ddkilzer) 2011-05-23 16:54:47 PDT
Part 1 of 2:

Committed r87108: <http://trac.webkit.org/changeset/87108>
Comment 4 David Kilzer (:ddkilzer) 2011-05-23 17:00:04 PDT
Created attachment 94520 [details]
Patch v2
Comment 5 David Kilzer (:ddkilzer) 2011-05-24 08:12:11 PDT
Part 2 of 2:

Committed r87149: <http://trac.webkit.org/changeset/87149>